Name:       perl-srpm-macros-epel    
Version:    1
Release:    1%{?dist}
Summary:    RPM macros for building Perl source package on EPEL
License:    GPLv3+
Source0:    perlcompat.attr.epel9
Source1:    perlcompat.attr.epel8
Source2:    perlcompat.req
BuildArch:  noarch

%description
These RPM macros are used for building Perl source packages from source
repositories on EPEL. They influence build-requires set into the source
package.

%install
%if 0%{?rhel} == 9
install -pm 0644 -D "%{SOURCE0}" \
    '%{buildroot}%{_rpmconfigdir}/fileattrs/perlcompat.attr'
%endif
%if 0%{?rhel} == 7 || 0%{?rhel} == 8
install -pm 0644 -D "%{SOURCE1}" \
    '%{buildroot}%{_rpmconfigdir}/fileattrs/perlcompat.attr'
install -pm 0755 -D "%{SOURCE2}" \
    '%{buildroot}%{_rpmconfigdir}/perlcompat.req'
%endif

%files
%{_rpmconfigdir}/fileattrs/perlcompat.attr
%if 0%{?rhel} == 7 || 0%{?rhel} == 8
%{_rpmconfigdir}/perlcompat.req
%endif

%changelog
* Tue Dec 06 2022 Jitka Plesnikova <jplesnik@redhat.com> - 1-1
- Initial version of the package
